### Method

# Cogl Buffer set_data

#### Declaration [src]

    gboolean
    cogl_buffer_set_data (
      CoglBuffer* buffer,
      size_t offset,
      void* data,
      size_t size
    )

#### Description [src]

Updates part of the buffer with new data from `data`. Where to put this new data is controlled by `offset` and `offset` + `data` should be less than the buffer size.

#### Parameters

`offset`

  Type: `size_t`

  Destination offset (in bytes) in the buffer.

`data`

  Type: An array of `guint8`

  A pointer to the data to be copied into the buffer.

  The data is owned by the caller of the method.

`size`

  Type: `size_t`

  Number of bytes to copy.

#### Return value

Type: `gboolean`

`TRUE` is the operation succeeded, `FALSE` otherwise.